### Virtual Method

# Hitaki EfwProtocol transmit_request

#### Declaration [src]

    gboolean
    transmit_request (
      HitakiEfwProtocol* self,
      const guint8* buffer,
      gsize length,
      GError** error
    )

#### Description [src]

Virtual function to transmit the content of request frame to target device.

#### Parameters

`buffer`

  Type: An array of `guint8`

  The content of request frame for transaction.

  The length of the array is specified in the `length` argument.
  The data is owned by the caller of the method.

`length`

  Type: `gsize`

  The length of content.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the virtual function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

No description available.